BigIPVirtualService (CMDB Model API)
Keywords: com.collation.platform.model.topology.net.vip.bigip.BigIPVirtualService interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.net.vip.bigip
Interface BigIPVirtualService

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, VirtualService

    public interface BigIPVirtualService

extends VirtualService

BigIP Virtual service used by a vip

Author:
  viswanath
Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.net.vip.VirtualService
`ANY_PORT, TYPE_TCP, TYPE_TCP_OR_UDP, TYPE_UDP`

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`boolean` | `getForwardingEnabled()`
`BigIPRealServerGroup` | `getLastHopPool()`
`boolean` | `getMayUseProxy()`
`java.lang.String` | `getPoolName()`
`java.lang.String` | `getRule()`
`boolean` | `getVirtualServiceARPEnabled()`
`int` | `getVirtualServiceMaxConn()`
`boolean` | `getVirtualServiceTransalateAddressEnabled()`
`boolean` | `getVirtualServiceTransalatePortEnabled()`
`boolean` | `hasForwardingEnabled()`
`boolean` | `hasLastHopPool()`
`boolean` | `hasMayUseProxy()`
`boolean` | `hasPoolName()`
`boolean` | `hasRule()`
`boolean` | `hasVirtualServiceARPEnabled()`
`boolean` | `hasVirtualServiceMaxConn()`
`boolean` | `hasVirtualServiceTransalateAddressEnabled()`
`boolean` | `hasVirtualServiceTransalatePortEnabled()`
`void` | `setForwardingEnabled(boolean fwdEnabled)`
`void` | `setLastHopPool(BigIPRealServerGroup lastHopPool)`
`void` | `setMayUseProxy(boolean mayUseProxy)`
`void` | `setPoolName(java.lang.String poolName)`
`void` | `setRule(java.lang.String rule)`
`void` | `setVirtualServiceARPEnabled(boolean arpEnabled)`
`void` | `setVirtualServiceMaxConn(int maxConn)`
`void` | `setVirtualServiceTransalateAddressEnabled(boolean transAddrEnabled)`
`void` | `setVirtualServiceTransalatePortEnabled(boolean transPortEnabled)`

Methods inherited from interface com.collation.platform.model.topology.net.vip.VirtualService
`getParent, getRealServerGroup, getVirtualPort, getVirtualPortType, hasParent, hasRealServerGroup, hasVirtualPort, hasVirtualPortType, setParent, setRealServerGroup, setVirtualPort, setVirtualPortType`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getPoolName

    java.lang.String getPoolName()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPoolName

    void setPoolName(java.lang.String poolName)

### hasPoolName

    boolean hasPoolName()

### getRule

    java.lang.String getRule()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRule

    void setRule(java.lang.String rule)

### hasRule

    boolean hasRule()

### getForwardingEnabled

    boolean getForwardingEnabled()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setForwardingEnabled

    void setForwardingEnabled(boolean fwdEnabled)

### hasForwardingEnabled

    boolean hasForwardingEnabled()

### getLastHopPool

    BigIPRealServerGroup getLastHopPool()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"

### setLastHopPool

    void setLastHopPool(BigIPRealServerGroup lastHopPool)

### hasLastHopPool

    boolean hasLastHopPool()

### getVirtualServiceARPEnabled

    boolean getVirtualServiceARPEnabled()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setVirtualServiceARPEnabled

    void setVirtualServiceARPEnabled(boolean arpEnabled)

### hasVirtualServiceARPEnabled

    boolean hasVirtualServiceARPEnabled()

### getVirtualServiceTransalateAddressEnabled

    boolean getVirtualServiceTransalateAddressEnabled()
                                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setVirtualServiceTransalateAddressEnabled

    void setVirtualServiceTransalateAddressEnabled(boolean transAddrEnabled)

### hasVirtualServiceTransalateAddressEnabled

    boolean hasVirtualServiceTransalateAddressEnabled()

### getVirtualServiceTransalatePortEnabled

    boolean getVirtualServiceTransalatePortEnabled()
                                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setVirtualServiceTransalatePortEnabled

    void setVirtualServiceTransalatePortEnabled(boolean transPortEnabled)

### hasVirtualServiceTransalatePortEnabled

    boolean hasVirtualServiceTransalatePortEnabled()

### getMayUseProxy

    boolean getMayUseProxy()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMayUseProxy

    void setMayUseProxy(boolean mayUseProxy)

### hasMayUseProxy

    boolean hasMayUseProxy()

### getVirtualServiceMaxConn

    int getVirtualServiceMaxConn()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setVirtualServiceMaxConn

    void setVirtualServiceMaxConn(int maxConn)

### hasVirtualServiceMaxConn

    boolean hasVirtualServiceMaxConn()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD